### Method

# Gegl Color set_pixel

#### Declaration [src]

    void
    gegl_color_set_pixel (
      GeglColor* color,
      const Babl* format,
      void* pixel
    )

#### Description [src]

Set a GeglColor from a pointer to a pixel and it’s babl format.

This method is not directly available to language bindings.

#### Parameters

`format`

  Type: `Babl`

  A babl pixel format.

  The data is owned by the caller of the method.

`pixel`

  Type: `void*`

  Pointer to a pixel.

  The argument can be `NULL`.
  The data is owned by the caller of the method.